Register a pending live merchant without issuing keys or moving funds
const url = 'https://api.xaalis.org/v1/live/signups';const options = { method: 'POST', headers: {'idempotency-key': 'example', 'Content-Type': 'application/json'}, body: '{"email":"hello@example.com","business_name":"example","terms_version":"example","sandbox_merchant_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.xaalis.org/v1/live/signups \ --header 'Content-Type: application/json' \ --header 'idempotency-key: example' \ --data '{ "email": "hello@example.com", "business_name": "example", "terms_version": "example", "sandbox_merchant_id": "example" }'Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters”Required retry-safe key; reuse it only for the same operation and request body
Required retry-safe key; reuse it only for the same operation and request body
Request Bodyrequired
Section titled “Request Bodyrequired”object
Version explicitly accepted by the caller; optional until legal publication
Unverified hint only; does not link accounts or copy settings
Examplegenerated
{ "email": "hello@example.com", "business_name": "example", "terms_version": "example", "sandbox_merchant_id": "example"}Responses
Section titled “ Responses ”Pending registration and sign-in email accepted by the mail transport
object
object
Example
{ "object": "live_signup", "merchant": { "object": "merchant", "status": "pending_review" }, "login_email_sent": true}Headers
Section titled “Headers”Present after quota evaluation: structured list of policy labels with q=request allowance and w=rolling-window seconds (IETF draft-ietf-httpapi-ratelimit-headers-11).
Present after quota evaluation: matching policy labels with r=remaining requests and t=effective-window seconds. Snapshot, not a guarantee; omitted when no quota was evaluated.
Invalid registration
object
object
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example" }}Headers
Section titled “Headers”Present after quota evaluation: structured list of policy labels with q=request allowance and w=rolling-window seconds (IETF draft-ietf-httpapi-ratelimit-headers-11).
Present after quota evaluation: matching policy labels with r=remaining requests and t=effective-window seconds. Snapshot, not a guarantee; omitted when no quota was evaluated.
Changed idempotency request or an existing email registration
object
object
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example" }}Headers
Section titled “Headers”Present after quota evaluation: structured list of policy labels with q=request allowance and w=rolling-window seconds (IETF draft-ietf-httpapi-ratelimit-headers-11).
Present after quota evaluation: matching policy labels with r=remaining requests and t=effective-window seconds. Snapshot, not a guarantee; omitted when no quota was evaluated.
Signup quota; retry after the indicated delay
object
object
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example" }}Headers
Section titled “Headers”Present after quota evaluation: structured list of policy labels with q=request allowance and w=rolling-window seconds (IETF draft-ietf-httpapi-ratelimit-headers-11).
Present after quota evaluation: matching policy labels with r=remaining requests and t=effective-window seconds. Snapshot, not a guarantee; omitted when no quota was evaluated.
Minimum seconds to wait before retrying. Takes precedence over the quota snapshot.
Sign-in unavailable or delivery unconfirmed; retry the same idempotency key
object
object
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example" }}Headers
Section titled “Headers”Present after quota evaluation: structured list of policy labels with q=request allowance and w=rolling-window seconds (IETF draft-ietf-httpapi-ratelimit-headers-11).
Present after quota evaluation: matching policy labels with r=remaining requests and t=effective-window seconds. Snapshot, not a guarantee; omitted when no quota was evaluated.